# Maintainer: Future Linux Team <future_linux@163.com>

pkgname=gawk
pkgver=5.1.1
pkgrel=1
pkgdesc="GNU version of awk"
arch=('x86_64')
url="https://www.gnu.org/software/gawk/"
license=('GPL')
groups=('base')
depends=('bash' 'glibc' 'mpfr')
makedepends=('binutils' 'coreutils' 'gcc' 'gettext' 'gmp' 'grep' 'make' 'patch' 'readline' 'sed' 'texinfo')
checkdepends=('diffutils')
source=(https://ftp.gnu.org/pub/gnu/${pkgname}/${pkgname}-${pkgver}.tar.xz)
sha256sums=(d87629386e894bbea11a5e00515fc909dc9b7249529dad9e6a3a2c77085f7ea2)

prepare() {
    cd ${pkgname}-${pkgver}

    sed -i 's/extras//' Makefile.in
}

build() {
    cd ${pkgname}-${pkgver}

    ${configure}

    make
}

package() {
    cd ${pkgname}-${pkgver}

    make DESTDIR=${pkgdir} install
}
